org.springframework.batch.core.configuration.xml

## Class TopLevelJobListenerParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.springframework.batch.core.configuration.xml.TopLevelJobListenerParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class TopLevelJobListenerParser
      extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

  Parse <job-listener/> elements in the batch namespace.
  Since:
    2.0
  Author:
    Dan Garrette

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopLevelJobListenerParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doParse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
    `protected java.lang.Class<? extends AbstractListenerFactoryBean<?>>` | `getBeanClass(org.w3c.dom.Element element)`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, getBeanClassName, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopLevelJobListenerParser

          public TopLevelJobListenerParser()

  - ### Method Detail

    - #### doParse

          protected void doParse(org.w3c.dom.Element element,
                                 org.springframework.beans.factory.xml.ParserContext parserContext,
                                 org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

      Overrides:
        `doParse` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

    - #### getBeanClass

          protected java.lang.Class<? extends AbstractListenerFactoryBean<?>> getBeanClass(org.w3c.dom.Element element)

      Overrides:
        `getBeanClass` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`